<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/estado_cita.php';
$response = array();

if (!isset($_POST['activo'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$activo = $_POST['activo'];

$estados_cita = EstadoCita::mdlGetEstadosCita($activo);

if (!$estados_cita) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontraron estados de cita';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $estados_cita;

echo json_encode($response);